- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OS_cut Class Reference

Simple representation of a cut by storing non zero coefficients only. More...

`#include <OS_cut.hpp>`

List of all members.

## Public Member Functions
void | pack (BCP_buffer &buf) const
| Packing cut to a buffer.
Constructors and destructors
| OS_cut (BCP_buffer &buf)
| Constructor from content of buffer.
| OS_cut (const OsiRowCut &cut)
| Constructor from an OsiRowCut.
| ~OS_cut ()
| Destructor.
## Static Public Member Functions
static void * | operator new (size_t size)
static void | operator delete (void *p, size_t size)
## Static Private Attributes
static BCP_MemPool | memPool

## Detailed Description

Simple representation of a cut by storing non zero coefficients only.

Definition at line 17 of file OS_cut.hpp.

## Constructor & Destructor Documentation

OS_cut::OS_cut | ( | BCP_buffer & | buf | ) |

Constructor from content of buffer.

Definition at line 22 of file OS_cut.cpp.

OS_cut::OS_cut | ( | const OsiRowCut & | cut | ) |

Constructor from an OsiRowCut.

Definition at line 45 of file OS_cut.cpp.

OS_cut::~OS_cut | ( |  | ) | `[inline]`

Destructor.

Definition at line 45 of file OS_cut.hpp.

## Member Function Documentation

static void* OS_cut::operator new | ( | size_t | size | ) | `[inline, static]`

Definition at line 25 of file OS_cut.hpp.

References memPool.

static void OS_cut::operator delete | ( | void * | p,
|  | size_t | size |
| ) |  |  | `[inline, static]`

Definition at line 29 of file OS_cut.hpp.

References memPool.

void OS_cut::pack | ( | BCP_buffer & | buf | ) | const

Packing cut to a buffer.

Definition at line 11 of file OS_cut.cpp.

Referenced by OS_packer::pack_cut_algo().

## Member Data Documentation

BCP_MemPool OS_cut::memPool`[static, private]`

Definition at line 21 of file OS_cut.hpp.

Referenced by operator delete(), and operator new().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/include/OS_cut.hpp
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/Member/OS_cut.cpp